New Mod Packs ***Released***

Status
Not open for further replies.

Bubbleo

New Member
Jul 29, 2019
70
0
0
You'd have to even without his modifications to the pack...right?


I just don't understand why anybody would download any of the 1.5.2 packs.....

1/ You have to restart your world for what a few weeks of gameplay till 1.6 becomes available?
2/ When the 1.6 packs come out you have to restart yet again, world gen will not be forward compatible as stated?

I much rather stick with my 1.4.7 packs till 1.6 is available and I am sure that i wont have to reset my world every few weeks because some kids are too impatient to wait.

This is only my opinion so meh
 

UgLounge

New Member
Jul 29, 2019
88
0
0
I'd really like for FTB to give us an update on what will happen with current packs like FTB Ultimate.
Are they anticipating to replace it with FTB Unleashed? Should Ultimate servers begin preparations to move to a new pack?
And so on and so forth.
 

BaxtorUK

New Member
Jul 29, 2019
71
0
0
I just don't understand why anybody would download any of the 1.5.2 packs.....

1/ You have to restart your world for what a few weeks of gameplay till 1.6 becomes available?
2/ When the 1.6 packs come out you have to restart yet again, world gen will not be forward compatible as stated?

I much rather stick with my 1.4.7 packs till 1.6 is available and I am sure that i wont have to reset my world every few weeks because some kids are too impatient to wait.

This is only my opinion so meh


The problem with this is by the time 1.6 comes out 1.7 will be on the horizon and you will be in exactly the same boat again, still playing 1.47 hoping for a release that lasts longer than a few months so you can upgrade your FTB.
 

Bubbleo

New Member
Jul 29, 2019
70
0
0
The problem with this is by the time 1.6 comes out 1.7 will be on the horizon and you will be in exactly the same boat again, still playing 1.47 hoping for a release that lasts longer than a few months so you can upgrade your FTB.

Possibly but i grow tired of the constant map resets I can understand they have to change it due to the changes made by mojang in there release of 1.6 but my point is why when the modders know that minecraft is up to 1.6.2 simply mod there packs for 1.6 instead of 1.5.2 and making people reset there worlds more than they really need to, all because a bunch of kids are too impatient to wait. I much rather spend 6 months or so on a map than 4 weeks or 5 weeks on a map. Especially if your one that is using gregtech dam by the time you get u and running on a half decent system you would have to start all over again LOL not everybody enjoys having to restart every couple of months.

Anyhow easy fix simply import the 1.4.7 modpack into MultiMMC so you can have the best of both worlds LOL and hopefully by the time it stabilises out one will be compatable by then lol
 
  • Like
Reactions: BaxtorUK

BaxtorUK

New Member
Jul 29, 2019
71
0
0
Possibly but i grow tired of the constant map resets I can understand they have to change it due to the changes made by mojang in there release of 1.6 but my point is why when the modders know that minecraft is up to 1.6.2 simply mod there packs for 1.6 instead of 1.5.2 and making people reset there worlds more than they really need to, all because a bunch of kids are too impatient to wait. I much rather spend 6 months or so on a map than 4 weeks or 5 weeks on a map. Especially if your one that is using gregtech dam by the time you get u and running on a half decent system you would have to start all over again LOL not everybody enjoys having to restart every couple of months.

I agree with you totally, would love to be able to play a world that can update with the minecraft releases, without having to do map resets every few months, maybe one day this will be possible :)
 

iceDave

New Member
Jul 29, 2019
47
0
0
do i get something wrong here or did my client play games with me??

Should my client have an updated version for the Direwolf20 pack as well??
I still have only the old version, not one for 1.5.2.

Maybe i understudd something wrong here with this new packs.
I got the other two packs with the private code..
 

OmegaPython

New Member
Jul 29, 2019
800
0
0
do i get something wrong here or did my client play games with me??

Should my client have an updated version for the Direwolf20 pack as well??
I still have only the old version, not one for 1.5.2.

Maybe i understudd something wrong here with this new packs.
I got the other two packs with the private code..
The new DW20 pack is not accessible yet.
 

Tsun

New Member
Jul 29, 2019
47
0
0
Some mods like Thaumcraft are insanely massive in size, you can't expect them to always keep up to date with Minecraft, specially when the game/modding mechanics go through a big change. (like I've heard 1.6 does)

FTB also has tons of mods from different authors, so it's unrealistic to expect all of them to keep up to date with Minecraft. They're not getting paid for it other than whatever revenue from ad-links and whatever. People have lives too.

And you have to combine both of those facts together.

Play the newest modpack until it starts to feel old, and then update to the current newest pack. Give everyone in the server a vanilla chest and allow them to bring any items inside it to the new map.
 

ThePokepika99

New Member
Jul 29, 2019
50
0
0
I agree with you totally, would love to be able to play a world that can update with the minecraft releases, without having to do map resets every few months, maybe one day this will be possible :)
Can someone tell me, WHY i have to reset map in 1.6? (They said, that those Beta 1.5.2 packs aren't forwad updateable.)
 

Shifter619

New Member
Jul 29, 2019
9
0
0
Is Unleashed a current version of 152ngt? Because I'm not sure if I can use my 152ngt world with Unleashed.

EDIT: I just read the disclaimer. Comment not needed
 

Yosomith

New Member
Jul 29, 2019
344
0
0
Can someone tell me, WHY i have to reset map in 1.6? (They said, that those Beta 1.5.2 packs aren't forwad updateable.)

As far as I understand things, there is a liquids update in forge that will ruin worlds as they currently stand. I could be wrong about this however as I'm only going by what I remember reading back when 1.5.1 was released[DOUBLEPOST=1374393640][/DOUBLEPOST]
Is Unleashed a current version of 152ngt? Because I'm not sure if I can use my 152ngt world with Unleashed.

EDIT: I just read the disclaimer. Comment not needed

Unleashed is the most compatable with NGT, it's only most because I think it's still missing some mods
 

Bubbleo

New Member
Jul 29, 2019
70
0
0
Some mods like Thaumcraft are insanely massive in size, you can't expect them to always keep up to date with Minecraft, specially when the game/modding mechanics go through a big change. (like I've heard 1.6 does)

FTB also has tons of mods from different authors, so it's unrealistic to expect all of them to keep up to date with Minecraft. They're not getting paid for it other than whatever revenue from ad-links and whatever. People have lives too.

And you have to combine both of those facts together.

Play the newest modpack until it starts to feel old, and then update to the current newest pack. Give everyone in the server a vanilla chest and allow them to bring any items inside it to the new map.

Not sure where you got the idea that I stated that they have no lives and your condascending post really I coudn't care for. I am also aware of what is involved in modding and the like so I am far from niave, but if you wish to bring a mod pack into a game that is not forward compatable and forces a user to reset his world because maybe one or 2 mods are incomapatable then that is not realistic or fair irrespective of getting paid or not you bring out a mod then your expected to at least try to make it forward compatable as much as possible.

For example Eloraam I believe it was knew before hand the items she wanted to bring into the game in a future release so to anticipate this and not interfere with peoples maps she brought these items in early to world generation so that when she did code them in there would be no need for resetting maps.

Other options are making new worlds via mystcraft to generate the new world ores and the like. So why cant they still allow the old maps to still be functional and say if you wish the new gen simply make a new mystcraft world to generate the new ores or items not that difficult really. A lot easier than sitting there as a Server admin trying to sort out possibly 100 server members items to transfer, Us Server Admins also have lives too you know :)
 

drkravenxin

New Member
Jul 29, 2019
15
0
0
The biggest reason I believe they release these packs for those begging for a 1.5.2 version to "tide them over" till 1.6.2. Elo did this with RP2 and 1.3 I believe, where she waited till 1.4 to release RP because of the changing in coding of minecraft. Soaryn has also said on multiple occasions that he wasn't going to release XyCraft for 1.5.x but re-wrote the whole mod for 1.6.x. FTB team had/has a large community and pleasing all of us is very hard. So FTB Team releasing these 3 packs between 1.4.7 and 1.6.2 for those of us who WANT to go ahead and play with the mods AND some new mechanics from 1.5.2 can. OR you could you know wait a little longer with the version you have now till the 1.6.x versions come out. Don't get upset for updating when if your a server owner you update when you didn't have to. I know a couple of servers they aren't being played a lot due to the fact that they are waiting for 1.6.x first. So in other words chill... don't fuss at the the team who supplied us with what we wanted but then said the maps are not compatible. It's like biting the hand feeding you.
 

Jerx99

New Member
Jul 29, 2019
75
0
0
People, please keep in mind that you are in no way FORCED to switch to these packs. You're free to stay with your 1.4.7 packs for a long as you like.

Personally I don't use RedPower and I can't stand XyCraft ores cluttering up the environment (especially the crystals, I hate them), so this seems like a great pack for me :D
 
  • Like
Reactions: Bagman817

Molten

New Member
Jul 29, 2019
338
0
0
Taken from Wyld's twitter a short time ago....
" So, you want the @Direwolf20 pack for 1.5.2? "

Looks as if he has tied it's shoelaces and given it a packed lunch, and is getting ready to send it out the dooor into the big wide world.
 

Blackbook

New Member
Jul 29, 2019
33
0
0
Taken from Wyld's twitter a short time ago....
" So, you want the @Direwolf20 pack for 1.5.2? "

Looks as if he has tied it's shoelaces and given it a packed lunch, and is getting ready to send it out the dooor into the big wide world.
Let's hope so... I fancy a late night ;)
 
Status
Not open for further replies.